<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- params: specimen = the current specimen in the table -->
    <g:column>
        <ui:define name="header">#{messages['gazelle.ordermanager.AssignedNumbers']}</ui:define>
        <dl class="dl-horizontal">
            <ui:define name="header">#{messages['gazelle.ordermanager.AssignedIdentifiers']}</ui:define>
            <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty specimen.placerAssignedIdentifier}">
                <ui:define name="label">#{messages['gazelle.ordermanager.Placer']}</ui:define>
                <h:outputText value="#{specimen.placerAssignedIdentifier}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty specimen.fillerAssignedIdentifier}">
                <ui:define name="label">#{messages['gazelle.ordermanager.Filler']}</ui:define>
                <h:outputText value="#{specimen.fillerAssignedIdentifier}"/>
            </s:decorate>
        </dl>
    </g:column>
    <g:column filterBy="#{'type'}" sortBy="#{'type'}" filterEvent="onkeyup"
              filterValue="#{dataTableStateHolder.columnFilterValues['type']}">
        <ui:define name="header">#{messages['gazelle.ordermanager.Type']}</ui:define>
        <h:outputText value="#{specimen.type}"/>
    </g:column>
    <g:column filterBy="#{'role'}" sortBy="#{'role'}" filterEvent="onkeyup"
              filterValue="#{dataTableStateHolder.columnFilterValues['role']}">
        <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Role']}</ui:define>
        <h:outputText value="#{specimen.role}"/>
    </g:column>
    <g:column sortBy="#{'collectationDateTime'}">
        <ui:define name="header">#{messages['gazelle.ordermanager.CollectionDatetime']}</ui:define>
        <g:date value="#{specimen.collectionDateTime}"/>
    </g:column>
    <g:column>
        <ui:define name="header"># #{messages['gazelle.ordermanager.Containers']}</ui:define>
        <h:outputText value="#{specimen.containers.size()}" rendered="#{specimen.containers != null}"/>
    </g:column>
</ui:composition>
